Skip to main content
POST
Create capability

Authorizations

Authorization
string
header
required

Bearer token: an organization API key (ak_…) created under Settings → API Keys, or a dashboard user session token. Agent keys (xe_…) are not accepted here. Endpoints marked as user-only in their description reject organization keys with 403.

Headers

X-Request-ID
string | null

Path Parameters

agent_id
string<uuid>
required

Body

application/json
name
string
required
Required string length: 1 - 128
description
string | null
Maximum string length: 1000
examples
string[]
Maximum array length: 10
Required string length: 1 - 500
sub_agent_id
string<uuid> | null
enabled
boolean
default:true

Response

Successful Response

id
string<uuid>
required
agent_id
string<uuid>
required
org_id
string<uuid>
required
sub_agent_id
string<uuid> | null
required
name
string
required
description
string | null
required
examples
string[]
required
enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required